source: trunk/packs/glue/mkserv.sh @ 11387

Revision 11387, 504 bytes checked in by ghudson, 26 years ago (diff)
Make mkserv a special script intended to run on out-of-date versions of the root filesystem.
Line 
1#!/bin/sh
2
3if [ "$ATHENA_ATTACHRUN_RECURSION" = $$ ]; then
4        echo "Can't properly run the mkserv program.  Please try again" 1>&2
5        echo "later." 1>&2
6        exit 1
7fi
8if attach -q mkserv; then
9        ATHENA_ATTACHRUN_RECURSION=$$ export ATHENA_ATTACHRUN_RECURSION
10        bindir=/mit/mkserv/arch/`machtype -S`/bin
11        if [ ! -x "$bindir/mkserv" ]; then
12                echo "Can't find the mkserv program in the mkserv locker." 1>&2
13                echo "Please try again later." 1>&2
14                exit 1
15        fi
16        PATH=${bindir}:$PATH
17        exec mkserv "$@"
18else
19        exit $?
20fi
Note: See TracBrowser for help on using the repository browser.